Bug 510376 - (bluemodem) Review Request: bluemodem - A bluetooth modem configuration utility
Review Request: bluemodem - A bluetooth modem configuration utility
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On: 550709
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 16:45 EDT by Fabian Affolter
Modified: 2010-04-08 23:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: bluemodem-0.7-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 22:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-07-08 16:45:14 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/bluemodem.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/bluemodem-0.7-1.fc11.src.rpm

Project URL: http://bluemodem.sourceforge.net/

Description:
The bluemodem package contains a program to both run and configure,
bluetooth modem connections. The bluemodem program allows you to
maintain multiple modem configurations. Bluemodem also connects and
dials out using ppp (dun).

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1462372

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint bluemodem-0.7-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint bluemodem*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Christoph Wickert 2009-07-18 08:49:51 EDT
REVIEW FOR d9415e7233fa9f31309ca6e81a671ee8  bluemodem-0.7-1.fc11.src.rpm


 - MUST: rpmlint must be run on every package. The output should be posted in the review.
OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: GPLv2+
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 6fe242a0dce8d5166d0d9ceba8be82d3
OK - MUST: The package successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates (none).
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - Timestamps are preserved
OK - Latest stable version packaged
OK - ${RPM_OPT_FLAGS} are honored


Issues: There are a couple of missing (Build)Requires.

When building locally:
Determining rfcomm command       /usr/bin/rfcomm
Determining pppd command         /usr/sbin/pppd
Determining chat command         /usr/sbin/chat
Determining bluetoothd command         /usr/sbin/bluetoothd
Determining hcitool command      /usr/bin/hcitool
Determining modprobe command     /sbin/modprobe
Determining mknod command        /bin/mknod
Determining ps command           /bin/ps

When building in mock/koji:
Determining rfcomm command       which: no rfcomm in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining pppd command         which: no pppd in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining chat command         which: no chat in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining bluetoothd command         which: no bluetoothd in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining hcitool command      which: no hcitool in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining modprobe command     which: no modprobe in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)
Determining mknod command        /bin/mknod
Determining ps command           which: no ps in (/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin:/usr/local/sbin)

Add the commands or their packages and I will approve the package.
Comment 2 Christoph Wickert 2009-10-03 08:38:40 EDT
Ping
Comment 3 Christoph Wickert 2009-11-22 22:47:52 EST
Please let me know if you are still interested in maintaining this package.
Comment 4 Fabian Affolter 2009-12-20 15:52:31 EST
Thanks for your patience.  Here are the new files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/bluemodem.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/bluemodem-0.7-2.fc12.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1882151
Comment 5 Christoph Wickert 2009-12-21 16:34:22 EST
Looks sane, APPROVED
Comment 6 Fabian Affolter 2009-12-21 16:41:56 EST
Thanks for the review.
Comment 7 Fabian Affolter 2009-12-21 16:43:14 EST
New Package CVS Request
=======================
Package Name: bluemodem
Short Description: A bluetooth modem configuration utility
Owners: fab
Branches: F-11 F-12
InitialCC:
Comment 8 Dennis Gilmore 2009-12-23 14:41:16 EST
CVS Done
Comment 9 Christoph Wickert 2010-02-07 20:12:32 EST
Fabian, I see you did the builds, but forgot the updates.
Comment 10 Fedora Update System 2010-03-15 15:06:02 EDT
bluemodem-0.7-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc12
Comment 11 Fedora Update System 2010-03-15 15:06:18 EDT
bluemodem-0.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc13
Comment 12 Fedora Update System 2010-03-15 15:06:37 EDT
bluemodem-0.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluemodem-0.7-3.fc11
Comment 13 Fedora Update System 2010-03-15 19:19:56 EDT
bluemodem-0.7-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc12
Comment 14 Fedora Update System 2010-03-15 19:20:06 EDT
bluemodem-0.7-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc13
Comment 15 Fedora Update System 2010-03-15 19:20:16 EDT
bluemodem-0.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc11
Comment 16 Fedora Update System 2010-03-16 19:18:30 EDT
bluemodem-0.7-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc13
Comment 17 Fedora Update System 2010-03-16 19:20:59 EDT
bluemodem-0.7-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc12
Comment 18 Fedora Update System 2010-03-16 19:22:31 EDT
bluemodem-0.7-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluemodem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bluemodem-0.7-5.fc11
Comment 19 Fedora Update System 2010-03-29 22:14:43 EDT
bluemodem-0.7-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-03-29 22:25:14 EDT
bluemodem-0.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-04-08 23:47:57 EDT
bluemodem-0.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.